#custom-mobile-menu {
    display: none;
    position: fixed;
    top: 108px;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #fff;
    overflow: hidden;
    z-index: 9999;
}

#custom-mobile-menu.is-open {
    display: block;
}

body:has(#custom-mobile-menu.is-open) .wd-header-mobile-nav .wd-tools-icon:before {
    content: url('../assets/img/close.svg');
}

@media (min-width: 1024px) {
    #custom-mobile-menu,
    #custom-mobile-menu.is-open {
        display: none;
    }
}

/* Promo banner */

.cmo-banner {
    border-bottom: 1px solid #0000001B;
    padding-bottom: 20px;
}

.cmo-banner img {
    width: 100%;
    border-radius: 20px;
}

/* Panels*/
.cmo-panel {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow-y: auto;
    overflow-x: clip;
    background-color: #fff;
    transform: translateX(100%);
    transition: transform 0.3s ease;
    padding: 16px;
}

.cmo-panel.cmo-active {
    transform: translateX(0);
}

.cmo-panel.cmo-previous {
    transform: translateX(-100%);
}

/* Panel header */
.cmo-panel-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 16px;
    padding-bottom: 16px;
    border-bottom: 1px solid #f0f0f0;
    gap: 20px;
}

.cmo-back-btn {
    display: flex;
    align-items: center;
    gap: 8px;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 16px;
    font-weight: 500;
    padding: 0;
    color: #073B4A;
    text-align: left;
    text-transform: capitalize;
    font-family: "Poppins", sans-serif;
}

.cmo-panel-cta {
    font-size: 11px;
    color: #073B4A;
    background-color: #EBB76A;
    padding: 8px 24px 8px 12px;
    border-radius: 20px;
    text-decoration: none;
    white-space: nowrap;
    font-family: "Poppins", sans-serif;
    font-weight: 500;
}

/* Categories */
.cmo-categories {
    list-style: none;
    margin: 0;
    padding: 0;
}

.cmo-category-item {
    border-bottom: 1px solid #f0f0f0;
}

.cmo-category-btn,
.cmo-category-link {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    width: 100%;
    padding: 12px 0;
    border-bottom: 1px solid #f0f0f0;
    background-color: white;
}

.cmo-category-btn div {
    display: flex;
    align-items: center;
    gap: 10px;
}

.cmo-category-btn img,
.cmo-category-link img {
    width: 62px;
    height: 56px;
    object-fit: cover;
    border-radius: 10px;
}

.cmo-category-btn span,
.cmo-category-link span {
    font-family: "Poppins", sans-serif;
    color: #073B4A;
    font-size: 14px;
    font-weight: 500;
    text-transform: capitalize;
}

/* Button main panel */
.cmo-cta-btn {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin-top: 16px;
    padding: 22px 16px;
    background-color: #073B4A;
    color: white;
    border-radius: 10px;
    font-size: 14px;
    font-weight: 500;
    font-family: "Poppins", sans-serif;
}

.cmo-cta-btn > div {
    display: flex;
    align-items: center;
    gap: 10px;
}

/* Main button secondary links */
.cmo-secondary-links-container {
    position: relative;
    left: 50%;
    right: 50%;
    width: 100vw;
    transform: translateX(-50%);
    background-color: #0090BD1A;
    padding: 16px 10px;
    margin-top: 10px;
}

.cmo-pro-btn {
    display: inline-block;
    padding: 4px 24px;
    background-color: #EBB76A;
    color: #073B4A;
    text-decoration: none;
    border-radius: 50px;
    font-size: 14px;
    font-family: "Poppins", sans-serif;
}

/* Secondary links */
.cmo-secondary-links {
    list-style: none;
    margin: 16px 0 0;
    padding: 0;
}

.cmo-secondary-links a {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #073B4A;
    text-decoration: none;
    font-size: 14px;
    font-family: "Poppins", sans-serif;
}

.cmo-secondary-links a img {
    width: 20px;
    height: 20px;
    object-fit: contain;
}

/* Socials networks */
.cmo-socials {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-top: 16px;
    font-size: 14px;
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    color: #073B4A;
}

.cmo-social-icon {
    height: 22px;
    width: auto;
}

/* Sub panel sectiosn title */
.cmo-section-title {
    font-size: 18px;
    font-weight: 600;
    font-family: "Poppins", sans-serif;
    margin: 12px 0;
    color: #073B4A;
}

/* Products */
.cmo-products {
    list-style: none;
    margin: 0;
    padding: 0;
}

.cmo-product-item {
    font-family: "Poppins", sans-serif;
}

.cmo-product-item a {
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 12px 0;
    text-decoration: none;
    color: inherit;
}

.cmo-product-item img {
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 10px;
    flex-shrink: 0;
}

.cmo-product-info {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.cmo-badge {
    font-size: 10px;
    font-weight: 600;
    color: #73572F;
    background-color: #FBF1E1;
    padding: 2px 6px;
    width: fit-content;
    border-radius: 24px;
}

.cmo-product-name {
    font-size: 18px;
    font-weight: 600;
    color: #073B4A;
}

.cmo-product-desc {
    font-size: 12px;
}

.cmo-product-price {
    display: flex;
    align-items: center;
    gap: 2px;
}

.cmo-product-price > span {
    font-size: 12px;
    font-weight: 300;
    color: #073B4A;
}

.cmo-product-price span {
    color: #073B4A;
    font-size: 18px;
    font-weight: 500;
}

.cmo-product-price del,
.cmo-product-price .woocommerce-Price-currencySymbol {
    color: #C83937;
    font-size: 18px;
}

/* Special panel push link */

.cmo-special-panel-push-link {
    background-color: #073B4A;
    color: white;
    font-size: 14px;
    font-weight: 500;
    padding: 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px;
    font-family: "Poppins", sans-serif;
    margin: 10px;
}